Description

Based on the latest prototype released (merging Redmine issues #1444 and # 1577):

- Change the name of the menu option from “Split” to “Split forecast . . .”

- Once forecasting is executed users click the menu option and a new window with fields for selection in the same layout as the

regular fields in the parameters tab should appears. The information existing in the fields of the “mother” forecasting will be displayed

in this window as well. See figure attached.

- In this window all fields would be editable by the user, except the reference date which will be automated set up and displayed by

the system based on the start date of the forecasting period minus the lead time defined by the user.

- The stock on hand existing at this “automated reference date” will be used for calculations as the new reference date.

- User would be allowed to select forecasting period of minimum one month. A warning message should be displayed in this

situation, such as: “Forecasting period must be at least one month”

- The new start date of forecasting period selected by the user minus the lead time selected by the user cannot be lower than the

reference date assigned on the “mother” forecasting. A warning message should be displayed in this situation, such as: “Start date of

forecasting period minus the lead time cannot be earlier than the reference date assigned for the original forecasting.”

- Instead of allowing user to split the forecasting in many “slices” at once (as in the current prototype) users should be allowed to take

one "slice" at a time. Meaning that at the end the addition of all “slices” not necessarily reflects the same quantities in the “mother”

forecast.

- After editing the new parameters the users would hit “Execute forecasting” button to get results.

- The new forecasting information and results would be reflected in all tabs (Summary, Med report, Case report, Med detailed report,

Order and Dashboard).

- The system should automatically display one observation in all tabs of the split forecasting and also to be exported to excel, such

as: “Original Forecasting Split by User".

- Features of Redmine issues # 1579 and # 1578 would be effective when splitting the forecasting as well.

History

#1 - 10/13/2015 10:45 AM - Oleksii Kurasov

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 10/16/2015 05:21 PM - Luis Gustavo do Valle Bastos

- File image.png added

- File image (1).png added

- File image (2).png added

- File image (3).png added

- File image (4).JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov
1) Change the label of the item in the menu from "Split" to “Divide . . .”. See file called "Image" attached.

2) Change the title of the dialog box from "Get a slice" to “Divide forecasting”. See file called "Image (1)" attached.

3) Remove the calendar symbol (not only "gray' it as now), as long as user won't be able to change the reference date anyways. See file called

"Image (1)" attached.

4) Change the error message from "Forecasting period for the slice should begin after MONTH DD, YYYY" to "Your start date of the subdivided

forecasting (MONTH DD, YYYY) minus the lead time cannot be earlier than the reference date of the original forecasting.” See file called "Image (2)"

attached.

5) Change the error message from "Forecasting period should be at least 1 month" to "Forecasting period must be at least 1 month." See file called

"Image (3)" attached.

6) Create an error message when users try to select the start date or the final date of the forecasting period after the final date of the original

forecasting period plus the months of buffer. The message must be: "Your start and final dates of the subdivided forecasting period (MONTH DD,

YYYY) must be within the original forecasting period plus the months of buffer."

7) Allow lead time to be set up as zero and replace the related error message [See file called "Image (4)" attached] by a warning message in both

original and subdivided forecastings. This warning message must have a title “Do you want to continue? and the text “Lead time is 0” and the buttons

“Yes” and “No” at the bottom.

#3 - 10/22/2015 01:16 PM - Luis Gustavo do Valle Bastos

For item 6 above both start and final dates should be displayed in the error message as:  (MONTH DD, YYYY and MONTH DD, YYYY).

#4 - 10/22/2015 01:28 PM - Luis Gustavo do Valle Bastos

Still for item 6 above the months of buffer stock entered by the user should be displayed in the text of the message as number between brackets.

#5 - 10/23/2015 06:27 AM - Oleksii Kurasov

- Due date set to 10/23/2015

- Status changed from Feedback to Resolved

#6 - 10/23/2015 06:28 AM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#7 - 10/23/2015 05:11 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

#8 - 10/23/2015 05:46 PM - Luis Gustavo do Valle Bastos

- Information entered in all fields of the subdivided forecasting have not been saved after hitting the button "Save".
- Label of the item "Divide" in the menu must have 3 dots after it.

- The error message "Your start date of the subdivided forecasting (MONTH DD, YYYY) minus the lead time cannot be earlier than the reference date

of the original forecasting." must display the date entered by the user and not the original date. Please correct.

- The error message "Your start and final dates of the subdivided forecasting period (MONTH DD, YYYY, MONTH DD, YYYY) must be within the

original forecasting period plus the months of buffer (number)." must be triggered by entering the final date date of the forecasting and the months of

buffer. Currently it is working properly only when entering the months of buffer. Please correct.

- When triggered by final date of the forecasting, the message above should display the date entered by the user (not the previous date) and the date

in the field must be switch back to the previous date (not entered by the user).

- Keep all fields as displayed now at the "Divide forecasting" dialog box (it is different from what we have discussed by skype).

#9 - 10/23/2015 06:05 PM - Luis Gustavo do Valle Bastos

- Include the field "Comment" in the dialog box of the divide forecasting.

#10 - 10/24/2015 07:19 AM - Oleksii Kurasov

- Due date changed from 10/23/2015 to 10/26/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#11 - 11/03/2015 08:28 PM - Luis Gustavo do Valle Bastos

- File Date displayed incorrect.JPG added

- File Final date off FC period-incorrect.JPG added

- File Months of buffer off FC period-correct.JPG added

- File Initial and final date off FC period-correct.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Still pending:

- Label of the item "Divide" in the Forecasting menu must have 3 dots after it (currently has only 2 dots).

- The error message "Your start date of the subdivided forecasting (MONTH DD, YYYY) minus the lead time cannot be earlier than the reference date

of the original forecasting" must display the date entered by the user and NOT the original date. Please correct. See figure "Date displayed incorrect"

attached.

- System doesn't display the error message "Your start and final dates of the subdivided forecasting period (MONTH DD, YYYY, MONTH DD, YYYY)

must be within the original forecasting period plus the months of buffer (number)" when changing ONLY the final date off the original forecasting

period. Please correct. See figure "Final date off FC period-incorrect" attached.

- However system displays correctly the error message above when keeping the same dates as above but changing the months of buffer. No action

needed. See figure "Months of buffer off FC period-correct" attached.

- When changing the initial date (but keeping it within the original period) and changing also the final date (but putting it off the original period) system

displays the above message correctly. No action required. See figure "Initial and final date off FC period-correct" attached.
#12 - 11/04/2015 10:23 AM - Oleksii Kurasov

- Due date changed from 10/26/2015 to 11/05/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#13 - 11/06/2015 07:25 PM - Luis Gustavo do Valle Bastos

- File Review error message.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Include the lead time entered by the user between brackets when it triggers the error message as "Your start date of the subdivided forecasting

(MONTH DD, YYYY) minus the lead time (Number) cannot be earlier than the reference date of the original forecasting (MONTH DD, YYYY)"

- Display the lead time of the original forecasting between brackets in the message above also when the start date of the forecasting triggers the

message.

- Delete the dot before the (MONTH DD, YYYY) at the end of the message above.

See figure attached

#14 - 11/09/2015 09:34 AM - Oleksii Kurasov

- Due date changed from 11/05/2015 to 11/10/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#15 - 11/18/2015 01:35 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Display the lead time number between brackets in the error message. Currently it is not displayed between brackets and we have to be consistent

with other information displayed in the message.

#16 - 11/18/2015 05:59 AM - Oleksii Kurasov

- Due date changed from 11/10/2015 to 11/19/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#17 - 12/08/2016 08:10 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

Parameters for splitting forecast.JPG 49.7 KB 10/06/2015 Luis Gustavo do Valle Bastos

image.png 42.7 KB 10/16/2015 Luis Gustavo do Valle Bastos

image (1).png 60.9 KB 10/16/2015 Luis Gustavo do Valle Bastos

image (2).png 78.2 KB 10/16/2015 Luis Gustavo do Valle Bastos

image (3).png 80.9 KB 10/16/2015 Luis Gustavo do Valle Bastos

image (4).JPG 15.3 KB 10/16/2015 Luis Gustavo do Valle Bastos
Date displayed incorrect.JPG 78.6 KB 11/04/2015 Luis Gustavo do Valle Bastos

Final date off FC period-incorrect.JPG 128 KB 11/04/2015 Luis Gustavo do Valle Bastos

Months of buffer off FC period-correct.JPG 143 KB 11/04/2015 Luis Gustavo do Valle Bastos

Initial and final date off FC period-correct.JPG 107 KB 11/04/2015 Luis Gustavo do Valle Bastos

Review error message.JPG 70.4 KB 11/07/2015 Luis Gustavo do Valle Bastos

Powered by TCPDF (www.tcpdf.org)

05/06/2025 5/5

http://www.tcpdf.org

